> For the complete documentation index, see [llms.txt](https://docs.bless.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bless.net/blessnet-api/ethereals.md).

# /ethereals

{% hint style="info" %}
You need an API key for this call.\
\
Please reach out to the Blessnet team to get setup.
{% endhint %}

<mark style="color:green;">`GET`</mark> `/ethereals`

The `/etherals` endpoint returns details of all ethereals for the given query parameters

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### **Params**

<table><thead><tr><th width="215">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>chain</code></td><td>No</td><td><code>mainnet</code></td><td>The chain type we are working with, either <code>mainnet</code> or <code>sepolia</code></td></tr><tr><td><code>sourceChains</code></td><td>No</td><td></td><td>A comma separated list of the source chain that the mirrored NFT is from must be from, e.g. 1,42161</td></tr><tr><td><code>sourceContracts</code></td><td>No</td><td></td><td>A comma separated list of source contracts.</td></tr><tr><td><code>statuses</code></td><td>No</td><td></td><td>A comma separated list statuses to filter by<br><br>Possible values:<br>- active<br>- unfunded</td></tr><tr><td><code>page_size</code></td><td>No</td><td><code>50</code></td><td>The number of records to return per page.</td></tr><tr><td><code>cursor</code></td><td>No</td><td><code>null</code></td><td>The cursor representing the start point of the next page of results.</td></tr></tbody></table>

### **Response Body**

The response provides an array of `etherealData` objects with a single `nextCursor` value providing the cursor for the next page. If this is null there is no next page.

The `etherealData` objects have the following properties:

<table><thead><tr><th width="256">Name</th><th width="114">Type</th><th width="389">Description</th></tr></thead><tbody><tr><td><code>_id</code></td><td><code>string</code></td><td>The unique Id for this transfer</td></tr><tr><td><code>ethereal</code></td><td><code>string</code></td><td>The contract address of the ethereal collection.</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>The status of the ethereal. Possible values are:<br>- active<br>- unfunded (funds are below the level required for synchronisation.</td></tr><tr><td><code>balance</code></td><td><code>string</code></td><td>The balance of the ethereal contract.</td></tr><tr><td><code>sourceChain</code></td><td><code>string</code></td><td>The source chain for the contract being mirrored..</td></tr><tr><td><code>sourceContract</code></td><td><code>string</code></td><td>The source contract being mirrored.</td></tr><tr><td><code>tokenName</code></td><td><code>string</code></td><td>The name of the ethereal contract.</td></tr><tr><td><code>tokenSymbol</code></td><td><code>string</code></td><td>The symbol of the ethereal contract.</td></tr><tr><td><code>lastCheckedTimestamp</code></td><td><code>number</code></td><td>Unix timestamp of when this was last checked.</td></tr><tr><td><code>lastCheckedDate</code></td><td><code>string</code></td><td>Date object of when this was last checked.</td></tr><tr><td><code>lastSyncTimestamp</code></td><td><code>number</code></td><td>Unix timestamp of when this was last synced.</td></tr><tr><td><code>lastSyncData</code></td><td><code>string</code></td><td>Date object of when this was last synced.</td></tr><tr><td><code>deposits</code></td><td>array</td><td>Array of objects detailing the ethereal's deposit history.</td></tr></tbody></table>

### **Example Request**

<pre><code><strong>GET https://api.bless.net/ethereals?chain=sepolia
</strong></code></pre>

### **Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "etherealData": [
        {
            "_id": "67c16c15cf1e3ed713ed3729",
            "ethereal": "0x026a2faee3eae0ebacb304b66645665f053c18e8",
            "status": "unfunded",
            "balance": "99986648500000000",
            "sourceChain": "1",
            "sourceContract": "0xbd3531da5cf5857e7cfaa92426877b022e612cf8",
            "tokenName": "Ethereal PudgyPenguins",
            "tokenSymbol": "PPG",
            "lastCheckTimestamp": 1740730061,
            "lastCheckDate": "2025-02-28T08:07:41.188Z",
            "deposits": [
                {
                    "timestamp": 1740729365,
                    "depositor": "0x61bF58101f64b178d6433865B7EFA59c2A30ba9B",
                    "deposit": "100000000000000000"
                }
            ]
        },
        {
            "_id": "67c169fbcf1e3ed713ecf3e7",
            "ethereal": "0x66ec75286130bc2a39432e6bf6a5051238a93d4d",
            "status": "active",
            "balance": "1466976964900000000",
            "sourceChain": "1",
            "sourceContract": "0x1d20a51f088492a0f1c57f047a9e30c9ab5c07ea",
            "tokenName": "Ethereal loomlocknft",
            "tokenSymbol": "LL",
            "lastCheckTimestamp": 1740730061,
            "lastCheckDate": "2025-02-28T08:07:41.188Z",
            "lastSyncTimestamp": 1740730061,
            "lastSyncDate": "2025-02-28T08:07:41.188Z",
            "deposits": [
                {
                    "timestamp": 1740728827,
                    "depositor": "0x61bF58101f64b178d6433865B7EFA59c2A30ba9B",
                    "deposit": "100000000000000000"
                }
            ]
        }
    ],
    "nextCursor": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bless.net/blessnet-api/ethereals.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
